/*************************************************************************
 Copyright 2003-2010 Netlogic Microsystems ("Netlogic"). All rights
 reserved.
 Redistribution and use in source and binary forms, with or without
 modification, are permitted provided that the following conditions are
 met:
 1. Redistributions of source code must retain the above copyright
    notice, this list of conditions and the following disclaimer.
 2. Redistributions in binary form must reproduce the above copyright
    notice, this list of conditions and the following disclaimer in
    the documentation and/or other materials provided with the
    distribution.
 THIS SOFTWARE IS PROVIDED BY Netlogic Microsystems ``AS IS'' AND
 ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL NETLOGIC OR CONTRIBUTORS BE
 LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF
 THE POSSIBILITY OF SUCH DAMAGE.
*******************************#NETL_2#**********************************/

#ifndef _OFFSET_H
#define _OFFSET_H

#define PT_R0             48
#define PT_R1             56
#define PT_R2             64
#define PT_R3             72
#define PT_R4             80
#define PT_R5             88
#define PT_R6             96
#define PT_R7            104
#define PT_R8            112
#define PT_R9            120
#define PT_R10           128
#define PT_R11           136
#define PT_R12           144
#define PT_R13           152
#define PT_R14           160
#define PT_R15           168
#define PT_R16           176
#define PT_R17           184
#define PT_R18           192
#define PT_R19           200
#define PT_R20           208
#define PT_R21           216
#define PT_R22           224
#define PT_R23           232
#define PT_R24           240
#define PT_R25           248
#define PT_R26           256
#define PT_R27           264
#define PT_R28           272
#define PT_R29           280
#define PT_R30           288
#define PT_R31           296

#define PT_STATUS        304
#define PT_HI            312
#define PT_LO            320

#define PT_BVADDR        328
#define PT_CAUSE         336
#define PT_EPC           344

#define PT_SIZE          352

#define _PAGE_SIZE  0x1000

#endif
